package main

import "image"
import "image/color"
import "git.tebibyte.media/tomo/x"
import "git.tebibyte.media/tomo/tomo"
import "golang.org/x/image/font/basicfont"

func main () {
	tomo.Register(0, x.NewBackend)
	err := tomo.Run(run)
	if err != nil { panic(err) }
}

func run () {
	window, err := tomo.NewWindow(image.Rectangle { })
	if err != nil { panic(err) }

	text := tomo.NewTextBox()
	text.SetText("hello, world!")
	text.SetTextColor(color.White)
	text.SetColor(color.Black)
	text.SetFace(basicfont.Face7x13)
	text.SetPadding(tomo.I(8))
	window.SetRoot(text)
	
	window.OnClose(tomo.Stop)
	window.SetVisible(true)
}
